Instructions for using SAMPLE.IPF:

SAMPLE.IPF is a scripted ASCII file that illustrates some of the
techniques used to put together an Information Presentation Facility
file that can be used with the OS/2 V1.2 VIEW.EXE program.  The
examples illustrate *a* method of displaying the data, but not
necessarily the only method, or even the best way.  Once you see how
to get started you may find a better way to do the same thing.  (If
so, I would appreciate hearing how to do it.  I'm hardly an expert
at this myself!)
 
To compile the file, put it in the same directory as the IPFC compiler,
and type:
                    IPFC /INF SAMPLE.IPF
Without the /INF parameter the end-result will be a file with an .HLP
extension, rather than an .INF extension.  This .HLP file will NOT
work with VIEW.EXE.  You will have to recompile it WITH the /INF
parameter (note the FOREslash, not backslash).
 
To view the file, simply type VIEW SAMPLE.INF.  This can be added to
a menu, just the same as the online OS/2 Command Reference (simply
use a different title and file name). I recommend putting the INF file
into the C:\OS2\BOOK directory where the path already looks for the
OS/2 Command Reference file.  That saves you having to specify a path
for the file, regardless of where you are when you start VIEW.
 
I don't know of any way to get the compiler to put a title on the 
Title Bar (which is also used as the icon title).  However, if you 
have a DOS or OS/2 hex editor (such as IBM's Professional Debug),
you can manually insert a title into the COMPILED (INF) file.  Addresses
from 6B through (I believe) 99 are used for the title.

Two final notes: 1) Make sure you close the VIEWed file before compiling.
If the file is being used it cannot be compiled.  The same goes for 
editing the file with a hex editor.  Make sure to close it before editing.

I hope this helps.  Good luck.  Mark Chapman, IBM Corp. (IBM PCUG BBS
404-988-2790; 300-9600 baud, N,8,1)