:userdoc.                           
:h1 res=001.Overview and Usage Instructions
:lines align=center.
:hp2.
This line is centered, and bold.
:ehp2.
:elines.
:p.
:p.
:p.
:hp2.:hp8.PURPOSE:ehp8.:ehp2.
:p.
A table of contents is provided to break the information
down into smaller pieces.  Additionally, you may search for words, numbers, or
phrases from an Action Bar option.  Sections may also be printed from the
Action Bar.
:note.Headings are asigned the color :hp2.:hp8.red:ehp8.:ehp2. throughout
this online help. The :hp1.Change Bars:ehp1. (:hp8.:ehp8.), which indicate
additions or revisions since the last release, are also
highlighted in :hp2.:hp8.red:ehp8.:ehp2. to make them easier to find.  (All other colors
are as set by your OS/2 Control Panel selections.  If a color, or combination of
colors, is not to your liking, you may change them to something more pleasing.)
The operative choices are:  :hp2.Help Text:ehp2., :hp2.Help Background:ehp2.,
and :hp2.Help Highlight:ehp2..
:p.
Before you begin to use this reference, it would be helpful to understand how
you can:
:ul compact. 
:li.Expand the Contents to see all available topics 
:li.Obtain additional information for a highlighted word or phrase 
:li.Use action bar choices.
:eul.
:p.
:hp2.:hp8.HOW TO OBTAIN ADDITIONAL INFORMATION:ehp8.:ehp2.
:p.
After you select a topic, the information for that topic appears in a window.
Highlighted words or phrases indicate that additional information is available.
You will notice that certain words in the following section are highlighted.
If you are using a mouse, double-click on the highlighted word.  If you are
using a keyboard, press the Tab key to move to the highlighted word, and then
press the Enter key.  Additional information will appear in a pop-up window.
:p.
:dl tsize=6 break=all.
:dt.:link refid=Bookmark reftype=fn.Bookmark:elink. 
:dd.Allows you to set a placeholder so you can retrieve information of
interest to you. (This choice is available from the :hp2.Services:ehp2. pull-down.)
:dt.:link refid=Search reftype=fn.Search:elink. 
:dd.Allows you to find occurrences of a word or phrase in the current topic,
selected topics, or all topics. (This choice is available from the :hp2.Services:ehp2.
pull-down.) 
:dt.:link refid=Print reftype=fn.Print:elink.   
:dd.Allows you to print one or more topics. (This choice is available from the
:hp2.Services:ehp2. pull-down.) 
:dt.:link refid=Copy reftype=fn.Copy:elink.
:dd.Allows you to copy a topic you are viewing to a file you can edit. (This
choice is available from the :hp2.Services:ehp2. pull-down.) 
:dt.:link refid=Options reftype=fn.Options:elink.
:dd.Allows you to change the way your Contents is displayed. 
:edl.
:p.
:fn id=Bookmark.
When you place a bookmark on a topic, it is added to a list of bookmarks you
have previously set.  You can view the list, and you can remove one or all
bookmarks from the list.  If you have not set any bookmarks, the list is empty. 
:p.
To set a bookmark, do the following: 
:p.
:ol.
:li.Select a topic from the Contents. 
:li.When that topic appears, choose the :hp2.Bookmark:ehp2. option from the :hp2.Services:ehp2. pull-down. 
:li.If you want to change the name used for the bookmark, type the new name
in the field. 
:li.Click on the :hp2.Place:ehp2. radio button (or press the Up or Down Arrow
key to select it). 
:li.Click on :hp2.OK:ehp2. (or select it and press Enter). The bookmark is then
added to the bookmark list. 
:eol.
:efn.
:fn id=Search.
:p.
You can specify a word or phrase to be searched.  You can also limit the search
to a set of topics by first marking the topics on the Contents list. 
:p.
To search for a word or phrase in all topics, do the following:
:ol.
:li.Choose the :hp2.Search:ehp2. option from the :hp2.Services:ehp2. pulldown.
:li.Type the word or words to be searched.  (An :hp2.asterisk (*):ehp2. can be
used before and/or after the search string to perform a wildcard search on a
portion of a word.)
:li.Click on :hp2.All sections:ehp2. (or press the Up or Down Arrow keys to
select it).
:li.Click on :hp2.Search:ehp2. (or select it and press Enter) to begin the search.
:li.The list of topics where the word or phrase appears is displayed.
:eol.
:efn.
:fn id=Print.
:p.
You can print one or more topics.  You can also print a set of topics by first
marking the topics on the Contents list. 
:p.
To print the document Contents list, do the following:
:ol.
:li.Choose :hp2.Print:ehp2. from the :hp2.Services:ehp2. pull-down. 
:li.Click on :hp2.Contents:ehp2. (or press the Up or Down Arrow key to select it). 
:li.Click on :hp2.Print:ehp2. (or select it and press Enter). 
:li.The Contents list is printed on your printer. 
:eol.
:efn.
:fn id=Copy.
:p.
You can copy a topic you are viewing into a temporary file named TEXT.TMP.  You
can later edit that file by using the System Editor. 
:p.
To copy a topic, do the following:
:ol.
:li.Expand the Contents list and select a topic. 
:li.When the topic appears, choose :hp2.Copy to file:ehp2. from the :hp2.Services:ehp2.
pull-down. 
:li.The system puts the text pertaining to that topic in the temporary TEXT.TMP file. 
:eol.
:p. 
For information on one of the other choices in the :hp2.Services:ehp2. pull-down,
highlight the choice and press the F1 key.
:efn.
:fn id=Options.
:p.
You can control the appearance of the Contents list. 
:p.
To expand the Contents and show all levels for all topics, choose Expand all from
the Options pulldown. You can also press the Ctrl and * keys together. 
:p.
For information on one of the other choices in the Options  pull-down, highlight
the choice and press the F1 key.
:efn.


:h1 name=marketing.v-----MARKETING INFORMATION-----v
The following sections contain information useful to those who sell PS/2, OS/2 and DOS products,
as well as those considering buying such products.

:h1 res=005.PS/2 Part Number/Pricing/Availability List
:p.
The following list provides the :hp2.names:ehp2., :hp2.descriptions:ehp2., :hp2.part
numbers:ehp2., :hp2.Single Unit:ehp2. (list) :hp2.Prices:ehp2., and :hp2.availability dates:ehp2.
(if :hp2.NOT:ehp2. currently available) of all announced IBM PS/2-related hardware
products.  The information is current as of :hp2.12/19/89:ehp2..
:NOTE TEXT='Reminder:'.To see the information associated with this panel, close
the panel and "click" on the :hp2.plus (+):ehp2. icon beside this heading.


:h2 res=100.PS/2 System Units
:rm margin=3. 
:p.
This section lists all PS/2 :hp2.System Units:ehp2. and :hp2.processor upgrades:ehp2., organized by
processor type.

:h3 res=110.8086 System Units
:cgraphic.
:hp2.
:hp8.PRODUCT NAME/
  DESCRIPTION                         PART #  SUP ($) AVAIL.:ehp8.
------------------------------------- ------- ------- ------

:hp8.Model 25:ehp8.
Model 25-001                          8525001  1,350.
  8MHz 8086/512K RAM/(1) 720K DD/Mono
Model 25-G01                          8525G01  1,395.
  Same as 001, with Enhanced Keybd
Model 25-L01                          8525L01  2,139.
  8MHz 8086/640K/(1) 720K DD/Mono/TRN
Model 25-004                          8525004  1,695.
  8MHz 8086/512K RAM/(1) 720K DD/Color
Model 25-G04                          8525K01  1,740.
  Same as 004, with Enhanced Keybd
Model 25-L04                          8525L04  2,484.
  8MHz 8086/640K/(1)720K DD/Color/TRN

:hp8.Model 30:ehp8.
Model 30-001                          8530001  1,695.
  8MHz 8086/640K/(1) 720K DD
Model 30-021                          8530021  2,255.
  8MHz 8086/640K/(1) 720K DD/20MB FD
:ecgraphic.  


:h3 res=120.80286 System Units
:cgraphic.
:hp2.
:hp8.PRODUCT NAME/
  DESCRIPTION                         PART #  SUP ($) AVAIL.:ehp8.
------------------------------------- ------- ------- ------

:hp8.Model 30-286:ehp8.
Model 30-E01                          8530E01  1,995.
  10MHz 80286/1MB/(1) 1.44MB DD
Model 30-E21                          8530E21  2,445.
  10Hz 80286/1MB/(1) 1.44MB DD/20MB FD
Model 30-E31                          8530E31  2,595.
  10MHz 80286/1MB/(1) 1.44MB DD/30MB FD

:hp8.Model 50/50Z:ehp8.
Model 50-031                          8550031  3,250.
  10MHz 80286/1MB/0 WS/(1) 1.44MB/30MB
Model 50-061                          8550061  3,650.
  10MHz 80286/1MB/0 WS/(1) 1.44MB/60MB

:h2 res=32000.PS/2 Bus Masters  
:cgraphic.
:hp2.
:hp8.PRODUCT NAME/
  DESCRIPTION                         PART #  SUP ($) AVAIL.:ehp8.
------------------------------------- ------- ------- -----------      

:hp8.PS/2 Wizard:ehp8.                                            
PS/2 Wizard                           34F3062  7,000.     Now  :link refid=LA reftype=fn.LA:elink. 
 33 MHz i860 32-bit Bus Master/2MB RAM/                  2Q/90 :link refid=GA reftype=fn.GA:elink. 
 for 70/80 (not P70)                                              
PS/2 Wizard                           34F3061  3,685.     Now  :link refid=LA reftype=fn.LA:elink.  
 6MB upgrade Kit for Wizard card--85ns                   2Q/90 :link refid=GA reftype=fn.GA:elink. 
PS/2 Wizard OS/2 Development Tools    34F3070  1,475.     Now  :link refid=LA reftype=fn.LA:elink. 
 Programmer's Toolkit for OS/2                           2Q/90 :link refid=GA reftype=fn.GA:elink. 
:fn id=LA.
LA = Limited Availability
:efn.
:fn id=GA.
GA = General Availability
:efn.
:ehp2.
:ecgraphic.  

:h1 res=031.ADF File Cross-Ref List
:p.
:lines.
:hp2.:hp8.
ADAPTER ID   DESCRIPTION:ehp8.:ehp2.
    DEFF           Multi-Protocol Communications Adapter
     :link refid=+ reftype=fn.+:elink.              Broadband Network Adapter
:elines.
:fn id=+.                                                            
+ The adapter ID is built into the Reference Diskette configuration program,
so it is not visible on the Reference Diskette.
:efn.

:h1 name=technical.v-----TECHNICAL INFORMATION-----v
The following sections contain information of a technical nature.

:h1 res=050.PS/2 Features and Technical Specs Reference
:rm margin=3.
:p.
The :hp2.PS/2 Features and Technical Specifications Reference:ehp2. compares
the standard and optional features, as well as technical product specifications,
of the PS/2 product line to the PC or PS/2 products which they replaced, or to
which they compare most closely.  These comparisons help to illustrate the major
improvements over the PC product line, and show the differences between PS/2 models.

:h2 name=25-0.PS/2 Model 25 vs.  XT-268 
:p.
The following table compares :hp8.PS/2 Model 25:ehp8. (non-LS models---the LS models
are featured elsewhere) with the :hp8.XT Model 268:ehp8. which it replaced.

:h3 name=25-1.Model 25-0xx/Gxx: System Board Functions   
:cgraphic.
:hp2.
      DESCRIPTION             :hp8.8525-0xx/Gxx        5160268:ehp8.
--------------------------   ---------------  --------------
:hp8.SYSTEM BOARD FUNCTIONS:ehp8.
  ROM Size                         64K              64K
  ROM Shadowing                    No               No
  Opt. Math Coprocessor           8087             8087
    Coprocessor Speed          *8.0 MHz*         4.77 MHz
  Standard Graphics              *MCGA*          Optional :link refid=c reftype=fn.(c):elink.
  Maximum Graphics               VGA :link refid=c reftype=fn.(c):elink.:link refid=q reftype=fn.(q):elink.         VGA :link refid=c reftype=fn.(c):elink.
  RS232C Serial Ports              *1*           Optional :link refid=c reftype=fn.(c):elink.
    UART Chip Used               NS8250           NS8250
    Maximum Speed (bits/sec)      9,600            9,600
    FIFO Mode Enabled              N/A              N/A        
    Maximum Ports Supported         2                2
  Pointing Device Ports            *1*           Optional :link refid=c reftype=fn.(c):elink.
  Parallel Printer Ports           *1*           Optional :link refid=c reftype=fn.(c):elink.
    Bi-directional                *Yes*             No
  CMOS Clock                       No               No
    Battery Life (yrs)             N/A              N/A
  Diskette Drive Support           Yes              Yes :link refid=d reftype=fn.(d):elink.
  Fixed Disk Drive Support      Optional :link refid=e reftype=fn.(e):elink.     Optional :link refid=f reftype=fn.(f):elink.
:ehp2.
:ecgraphic.


:h2 name=3E31-0.PS/2 Model 30-E31 vs.  AT-339 
The following table compares the :hp8.PS/2 Model 30-E31:ehp8. with the :hp8.AT Model 339:ehp8., which it replaced.  

:h3 name=3E31-1.Model 30-E31: Architecture/Memory
:cgraphic.
:hp2.
      DESCRIPTION                :hp8.8530E31          5170339:ehp8.
--------------------------   --------------   --------------
:hp8.ARCHITECTURE:ehp8.
  Bus Type                         AT               AT
  Microprocessor                  80286            80286
  Clock Speed                   *10 MHz*           8 MHz
  Instruction Set                16 bit           16 bit
  Addressing                     24 Bit           24 Bit
  I/O Channel Width             16/8 Bit         16/8 Bit
  Interrupt Levels                 16               16
    Type                     Edge-triggered   Edge-triggered
  DMA Channels                      7                7
  Bus Masters Supported            No               No
  486 Power Platform Suppt'd       No               No         
:ehp2.
:ecgraphic.

:fn id=c.
(c) Requires an :hp2.optional:ehp2. adapter, which uses 1 adapter slot.
:efn.
:fn id=d.
(d) Adapter, :hp2.included:ehp2., uses 1 adapter slot.
:efn.
:fn id=e.
(e) Requires the :hp2.optional:ehp2. 20MB Fixed Disk Upgrade Kit.
:efn.
:fn id=f.
(f) Requires an :hp2.optional:ehp2. 20MB fixed disk drive, adapter, and cable.
:efn.
:fn id=q.
(q) Using the PS/2 Display Adapter and :hp2.8507:hp2. Monochrome Display.
:efn.
:euserdoc.
